### Function

# FwupdPlugin cpu_get_attrs

since: 2.0.7

#### Declaration [src]

    GHashTable*
    fu_cpu_get_attrs (
      GError** error
    )

#### Description [src]

Gets attributes for the first CPU listed in `/proc/cpuinfo`.

Available since: 2.0.7

#### Return value

Type: `GHashTable`

CPU attributes.

The caller of the function takes ownership of the data, and is responsible for freeing it.